# $Revision: 1.95 $, $Date: 2011/04/21 16:11:20 $
Summary:	Command and library for manipulating access control lists
Summary(pl.UTF-8):	Polecenie i biblioteka do manipulacji listami kontroli dostępu (ACL)
Name:		acl
Version:	2.2.51
Release:	1
License:	LGPL v2+ (library), GPL v2 (utilities)
Group:		Applications/System
Source0:	http://download.savannah.gnu.org/releases-noredirect/acl/%{name}-%{version}.src.tar.gz
# Source0-md5:	3fc0ce99dc5253bdcce4c9cd437bc267
Patch0:		%{name}-miscfix.patch
Patch1:		%{name}-lt.patch
Patch2:		%{name}-LDFLAGS.patch
Patch3:		%{name}-pl.po-update.patch
URL:		http://savannah.nongnu.org/projects/acl/
BuildRequires:	attr-devel >= 2.4.16-3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.402
Requires:	attr >= 2.4.15
Obsoletes:	libacl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
A command (chacl) and a library (libacl) to manipulate POSIX access
control lists under Linux.

%description -l pl.UTF-8
Polecenie (chacl) i biblioteka (libacl) do manipulowania zgodnymi z
POSIX listami kontroli dostępu (ACL) pod Linuksem.

%package devel
Summary:	Header files for acl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki acl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	attr-devel >= 2.4.16-3

%description devel
Header files to develop software which manipulate access control
lists.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do rozwoju oprogramowania manipulującego
listami kontroli dostępu (ACL).

%package static
Summary:	Static acl library
Summary(pl.UTF-8):	Statyczna biblioteka acl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static acl library.

%description static -l pl.UTF-8
Statyczna biblioteka acl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__rm} aclocal.m4

%build
mv install-sh install-custom-sh
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
cp -f /usr/share/automake/config.sub .
mv install-custom-sh install-sh
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -DENABLE_GETTEXT"

%{__make} \
	LLDFLAGS="%{rpmldflags}" \
	top_builddir="../"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/acl,%{_mandir}/man3}

export DIST_ROOT=$RPM_BUILD_ROOT
P=$(pwd)
DIST_INSTALL=$P/install.manifest
DIST_INSTALL_DEV=$P/install-dev.manifest
DIST_INSTALL_LIB=$P/install-lib.manifest

%{__make} install \
	DIST_MANIFEST=$DIST_INSTALL \
	top_builddir="../"
%{__make} install-dev \
	DIST_MANIFEST=$DIST_INSTALL_DEV \
	top_builddir="../"
%{__make} install-lib \
	DIST_MANIFEST=$DIST_INSTALL_LIB \
	top_builddir="../"

ln -snf %{_libdir}/$(basename $RPM_BUILD_ROOT%{_libdir}/libacl.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libexecdir}/libacl.so
%{__sed} -i "s|libdir='%{_libdir}'|libdir='%{_libexecdir}'|" \
	$RPM_BUILD_ROOT%{_libexecdir}/libacl.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

# already in /usr
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libacl.{so,la,a}

# fix perms (needed for debuginfo and autorequires/provides)
chmod a+x $RPM_BUILD_ROOT%{_libdir}/libacl.so.*.*.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/{CHANGES,TODO}
%attr(755,root,root) %{_bindir}/chacl
%attr(755,root,root) %{_bindir}/getfacl
%attr(755,root,root) %{_bindir}/setfacl
%attr(755,root,root) %{_libdir}/libacl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libacl.so.1
%{_mandir}/man1/chacl.1*
%{_mandir}/man1/getfacl.1*
%{_mandir}/man1/setfacl.1*
%{_mandir}/man5/acl.5*

%files devel
%defattr(644,root,root,755)
%doc doc/{extensions.txt,libacl.txt}
%attr(755,root,root) %{_libexecdir}/libacl.so
%{_libexecdir}/libacl.la
%{_includedir}/acl
%{_includedir}/sys/acl.h
%{_mandir}/man3/acl_*.3*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/libacl.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: acl.spec,v $
Revision 1.95  2011/04/21 16:11:20  qboosh
- updated to 2.2.51
- updated pl.po-update patch

Revision 1.94  2011/04/17 12:52:09  wiget
- up to 2.2.50

Revision 1.93  2011/03/18 21:20:43  qboosh
- BR macros for man pages symlinks -> .so links conversion

Revision 1.92  2011/03/17 10:27:46  wiget
- use %{__rm} macro
- fix perms to libacl to get debuginfo and correct autoR/P
- don't mess with man pages
- release 2

Revision 1.91  2009/11/21 13:41:08  arekm
- fix url

Revision 1.90  2009/11/21 13:39:04  arekm
- up to 2.2.49

Revision 1.89  2009/06/16 14:35:14  tommat
- copy config.sub

Revision 1.88  2008/08/30 20:45:34  arekm
- rel 2; keep custom install-sh

Revision 1.87  2008/06/18 15:11:50  qboosh
- updated Source0 URL

Revision 1.86  2008-02-15 23:27:26  qboosh
- updated to 2.2.47
- added pl.po-update patch

Revision 1.85  2007-12-28 09:20:14  glen
- rel 2

Revision 1.84  2007-09-12 06:51:27  arekm
- up to 2.2.45

Revision 1.83  2007/09/03 13:46:23  baggins
- rel 2

Revision 1.82  2007/06/18 17:49:15  glen
- need export on DIST_ROOT

Revision 1.81  2007/06/18 17:48:02  glen
- check-files cleanup; cosmetics

Revision 1.80  2007/06/01 19:34:17  qboosh
- updated to 2.2.44

Revision 1.79  2007/02/13 11:29:59  tommat
- typo

Revision 1.78  2007/02/13 11:27:11  tommat
- regenerate libtool

Revision 1.77  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.76  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.75  2006/11/25 13:20:51  arekm
- rel 2

Revision 1.74  2006/08/02 01:23:51  sparky
- sed 2 patch

Revision 1.73  2006/07/30 17:05:20  sparky
- pass rpmldflags

Revision 1.72  2006/06/22 06:11:17  arekm
- up to 2.2.39

Revision 1.71  2006/01/21 20:43:07  qboosh
- updated to 2.2.34

Revision 1.70  2005/10/14 07:47:48  qboosh
- updated to 2.2.32

Revision 1.69  2005/08/06 17:33:39  qboosh
- updated to 2.2.31

Revision 1.68  2005/06/14 19:09:36  zbyniu
- BR: libtool

Revision 1.67  2005/05/24 22:15:46  pluto
- fix build (libtool issue @ sparc64).

Revision 1.66  2005/04/15 23:34:47  qboosh
- updated to 2.2.28 (licensing clarifications)

Revision 1.65  2004/12/21 12:19:04  qboosh
- unified

Revision 1.64  2004/12/21 12:18:07  qboosh
- spacing

Revision 1.63  2004/11/24 22:27:11  glen
- add O: libacl

Revision 1.62  2004/10/17 14:58:52  qboosh
- updated to 2.2.27, updated miscfix patch
- hack libdir in libacl.la to get proper dependency_libs in depended libs

Revision 1.61  2004/10/13 10:44:03  mmazur
- rel 3 for th

Revision 1.60  2004/07/31 19:10:03  qboosh
- rely on libattr.la hacked in attr >= 2.4.16-3 instead of hacking libacl.la here

Revision 1.59  2004/07/10 12:14:37  qboosh
- fix libattr.la path in libacl.la; release 2

Revision 1.58  2004/03/27 21:43:46  qboosh
- removed obsolete pl.po (merged); strict internal deps

Revision 1.57  2004/03/27 12:53:20  areq
- 2.2.23

Revision 1.56  2004/01/28 22:03:03  qboosh
- added pl.po, actually enabled gettext, release 2

Revision 1.55  2004/01/13 09:02:54  trojan
- updated to 2.2.22

Revision 1.54  2004/01/02 14:04:33  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.53  2003/12/19 00:44:42  jajcus
- use proper libdirs

Revision 1.52  2003/12/08 15:16:29  qboosh
- tabs2spaces, sort BR

Revision 1.51  2003/12/08 15:12:27  yoshi
- Added missing BR: gettext-devel
- Release upgraded to 2
- Tested on *devel* free system; it builds.

Revision 1.50  2003/12/01 09:59:55  areq
- 2.2.21

Revision 1.49  2003/08/25 09:42:23  mmazur
- rel2 for ac

Revision 1.48  2003/08/22 10:32:11  areq
- 2.2.15

Revision 1.47  2003/08/08 19:49:13  qboosh
- optimize, more fixes in miscfix patch to properly detect headers
- -devel R: attr-devel

Revision 1.45  2003/08/05 23:29:06  grzegol
- updated to 2.2.13
- updated miscfix patch

Revision 1.44  2003/07/07 09:55:28  qboosh
- grr, fixed after "small fixes"

Revision 1.43  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.42  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.41  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/05/14 07:42:34  qboosh
- moved acl(5) man to base (useful for users), release 2

Revision 1.39  2003/05/10 20:17:44  areq
- BuildRequires:        attr-devel >= 2.4.1

Revision 1.38  2003/05/06 21:49:16  qboosh
- more docs, fixed License

Revision 1.37  2003/04/30 08:00:54  misi3k
- updated to 2.2.7

Revision 1.36  2003/02/14 17:16:50  qboosh
- fixed libacl.so symlink (autodetect library name since now)

Revision 1.35  2003/02/11 09:35:46  trojan
- updated to 2.2.4
- added %find_lang

Revision 1.34  2003/02/01 19:54:26  adgor
- Fixed symlink

Revision 1.33  2002/11/27 11:06:23  areq
- 2.1.1, STBR

Revision 1.32  2002/11/26 10:57:09  ankry
- 2nd .la file attributes massive attack

Revision 1.31  2002/09/01 21:04:28  areq
- 2.0.18, STBR

Revision 1.30  2002/08/13 16:16:29  baggins
- updated to 2.0.15

Revision 1.29  2002/07/20 17:51:55  qboosh
- separated -static; release 2

Revision 1.28  2002/07/20 13:51:30  areq
- 2.0.11, STBR
- new %doc

Revision 1.27  2002/05/26 10:24:58  baggins
- buildrequires attr-devel >= 2.0.0

Revision 1.26  2002/05/21 23:12:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/04/30 13:43:00  pioklo
- up to 2.0.9,STBR

Revision 1.24  2002/04/25 15:41:28  arturs
- fixed a small typo

Revision 1.23  2002/04/09 15:24:17  ankry
- removed man section from .so redirections

Revision 1.22  2002/04/09 10:15:38  areq
- 2.0.4, STBR

Revision 1.21  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/06 23:10:45  filon
- updated to 1.1.4 (bugfixes)

Revision 1.18  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2002/01/03 18:12:40  baggins
- run ldconfig in %post(un)

Revision 1.16  2002/01/02 18:42:33  baggins
- finished update to 1.1.3

Revision 1.15  2001/10/11 11:49:52  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.14  2001/10/08 15:08:52  baggins
- updated to 1.1.3
- install is kinda b0rken

Revision 1.13  2001/06/04 15:54:12  baggins
- removed requires %{name} from devel package (not needed)

Revision 1.12  2001/06/01 13:25:54  baggins
- added Requires %{name} = %{version} to devel package

Revision 1.11  2001/06/01 13:10:48  baggins
- updated to 1.0.4

Revision 1.10  2001/05/01 21:22:32  misiek
- initial pld release

Revision 1.2  2001/05/01 20:48:38  misiek
- manual pages added to devel subpackage

Revision 1.1  2001/05/01 20:46:51  misiek
- utilities and library to manipulate extended attributes
